import Vue from 'vue'
import Router from 'vue-router'
// import store from './store/index.js'

Vue.use(Router)

const router = new Router({
  routes: [
    {
      path: '/',
      name: 'vote',
      component: () => import('./views/vote/index.vue')
    },
    {
      path: '/vote/:actid',
      name: 'voteList',
      component: () => import('./views/vote/list.vue')
    },
    {
      path: '/detail/:actid/:memberid',
      name: 'voteDetail',
      component: () => import('./views/vote/detail.vue')
    },
    {
      path: '/vote/signup/:actid',
      name: 'signUp',
      component: () => import('./views/vote/signup.vue')
    }
  ]
})

// router.beforeEach((to, from, next) => {
//   const actid = to.query.actid || to.params.actid
//   const env = process.env.NODE_ENV || 'production'
//   console.log("process.env.NODE_ENV =>", env)

//   if (env === 'production' || env === 'test') {    
//     if (!store.state.vote.user) {
//       const code = window.localStorage.getItem('code')
//       store.dispatch('vote/getUser', {code, actid}).then(() => {
//         next()
//       })
//     } else {
//       next()
//     }
//   } else {
//     next()
//   }
// })

export default router